package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VehicleMessageE;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:27
 */
public interface VehicleMessageGateway {

    /**
     * 新增
     */
    Boolean add(VehicleMessageE vehicleMessageE);

    /**
     * 修改
     */
    Boolean update(VehicleMessageE vehicleMessageE);

    /**
     * 删除
     */
    Boolean deletedVehicleMessageById(Long id);

    Boolean deletedVehicleMessageByIds(Long[] id);
}

